{
  "format_version": "1.21.80",
  "minecraft:block": {
    "description": {
      "identifier": "drz:lamp_ground_1_drz",
      "menu_category": {"category": "items"},
      "states": {
        "drz:top": [false, true],
        "drz:bottom" : [false, true],
        "drz:open": [false, true]
      }
    },
    "permutations": [
      {
        "condition": "q.block_state('drz:open') && !q.block_state('drz:top')",
        "components": {
          "minecraft:material_instances": {
            "*": {
              "texture": "lamp_ceiling_drz"
            },
            "1": {
              "texture": "lamp_ceiling_on_drz",
              "ambient_occlusion": false,
              "face_dimming": false
            }
          },
          "minecraft:light_emission": 15
        }
      }
    ],
    "components": {
      "tag:drz:lamp_ground_1": {},
      "tag:decorize": {},
      "minecraft:geometry": {
        "identifier": "geometry.lamp_ground_1_drz",
        "culling": "drz:lamp_ground",
        "bone_visibility": {
          "top" : "!q.block_state('drz:top')",
          "mid" : true,
          "bottom" : "!q.block_state('drz:bottom')"
        }
      },
      "minecraft:material_instances": {
        "*": {
          "texture": "lamp_ceiling_drz"
        }
      },
      "minecraft:destruction_particles": {
        "texture": "lamp_ceiling_drz"
      },
      "minecraft:collision_box": {
        "origin": [-4, 0, -4],
        "size": [8, 16, 8]
      },   
      "minecraft:selection_box": {
        "origin": [-4, 0, -4],
        "size": [8, 16, 8]
      },   
      "minecraft:destructible_by_mining":{
        "seconds_to_destroy": 1
      },
      "minecraft:destructible_by_explosion": false,
      "minecraft:light_dampening": 0,
      "minecraft:liquid_detection": {
        "detection_rules": [
          {
            "can_contain_liquid": true,
            "on_liquid_touches": "no_reaction"
          }
        ]
      },
      "minecraft:custom_components": [
        "drz:vertical", "drz:open_close"
      ]
    }
  }
}